#!/usr/bin/tclsh
package require mmap
set fd [open messages r]
set mp [mmap -length 300 -offset 4096 $fd]
close $fd

puts Gets:
for {set i 0} {$i < 10} {incr i} {
    gets $mp line
    puts $line
}
close $mp

catch { file copy testfile testfile1 }

set fd [open testfile1 r+]
set mp [mmap -shared -length 30 $fd]
close $fd

flush $mp

seek $mp 1
puts -nonewline $mp alex
seek $mp 0

puts Read:
puts [read $mp]

puts [eof $mp]

close $mp

file delete testfile1
