#!/usr/bin/tclsh
package require mmap
set fd [open /tmp/messages r]
set mp [mmap -length 30 -offset 4095 $fd]
close $fd

puts Gets:
for {set i 0} {$i < 10} {incr i} {
    gets $mp line
    puts $line
}
close $mp

set fd [open /tmp/a r+]
set mp [mmap -shared -length 30 $fd]
close $fd

flush $mp

seek $mp 1
puts -nonewline $mp alex
seek $mp 0

puts Read:
puts [read $mp]

puts [eof $mp]

close $mp
